Bug 214020 - sysutils/py-salt : update to 2016.3.4 [maintainer]
Summary: sysutils/py-salt : update to 2016.3.4 [maintainer]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-02 15:04 UTC by Christer Edwards
Modified: 2016-12-05 15:04 UTC (History)
2 users (show)

See Also:
christer.edwards: maintainer-feedback+


Attachments
patch (17.74 KB, text/plain)
2016-11-02 15:04 UTC, Christer Edwards
no flags Details
QA (poudriere testport) (460.38 KB, text/plain)
2016-11-02 15:14 UTC, Christer Edwards
christer.edwards: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christer Edwards 2016-11-02 15:04:21 UTC
Created attachment 176443 [details]
patch

sysutils/py-salt 2016.3.4 upstream release + backport patch to freebsd_sysctl module (https://github.com/saltstack/salt/pull/36794)
Comment 1 Christer Edwards 2016-11-02 15:14:10 UTC
Created attachment 176448 [details]
QA (poudriere testport)
Comment 2 commit-hook freebsd_committer 2016-11-08 13:02:08 UTC
A commit references this bug:

Author: swills
Date: Tue Nov  8 13:01:43 UTC 2016
New revision: 425737
URL: https://svnweb.freebsd.org/changeset/ports/425737

Log:
  sysutils/py-salt: update to 2016.3.4

  PR:		214020
  Submitted by:	Christer Edwards <christer.edwards@gmail.com> (maintainer)

Changes:
  head/sysutils/py-salt/Makefile
  head/sysutils/py-salt/distinfo
  head/sysutils/py-salt/files/patch-freebsd_sysctl.py
  head/sysutils/py-salt/pkg-plist
Comment 3 Steve Wills freebsd_committer 2016-11-08 13:05:06 UTC
Committed, thanks!
Comment 4 Olli Hauer freebsd_committer 2016-11-08 18:55:47 UTC
Hm, not sure but it seems there are some new issues with the new version.

I have one master and a couple of syndics in other network zones/locations.
After upgrading the master, only systems directly connected to the master where reachable.
Systems connected to a downstream master/syndic are no longer reachable.
Unluckily I don't have the time today to dive further into the issue, perhaps the maintainer can do a quick verify.
Comment 5 Steve Wills freebsd_committer 2016-12-05 15:04:44 UTC
(In reply to Olli Hauer from comment #4)
Just updated to 2016.11.0. Please test that and open a new issue if the issue persists. Thanks!